<?php
 if ( !empty($post->post_password) && $_COOKIE['wp-postpass_' . COOKIEHASH] != $post->post_password) : ?>
<div class="errorbox">
<?php _e('Enter your password to view comments.', 'scorpio'); ?>
</div>
<?php return; endif; ?>

<?php
$options = get_option('scorpio_options');
$trackbacks = $wpdb->get_results($wpdb->prepare("SELECT * FROM $wpdb->comments WHERE comment_post_ID = %d AND comment_approved = '1' AND (comment_type = 'pingback' OR comment_type = 'trackback') ORDER BY comment_date", $post->ID));
$count = 0;
?>
<script type="text/javascript">
/* <![CDATA[ */
ajaxCommentsURL = "<?php bloginfo('template_url'); ?>/comments-ajax.php";
/* ]]> */
</script>
<?php if ($comments || comments_open()):?>
<div id="comments">
<div id="cmtswitcher">
	<?php if(comments_open()) : ?>
		<span class="addcomment"><a href="#respond"><?php _e('Leave a comment', 'scorpio'); ?></a></span>
	<?php endif; ?>
	
	<div class="fixed"></div>

</div>
<div id="commentlist">
	<ol id="thecomments" class="display">
	<?php
		if ($comments && count($comments) - count($trackbacks) > 0) {
			foreach ($comments as $comment) {
				if(!$comment->comment_type == 'pingback' && !$comment->comment_type == 'trackback') {
	?>
<li class="comment <?php if($comment->comment_author_email == get_the_author_email()) {echo 'admincomment';} else {echo 'regularcomment';} ?>" id="comment-<?php comment_ID() ?>">

				<div class="comment-meta">
					<?php comment_date() ?>
					 | #<span class="cmnub"><?php printf('%1$s', ++$count); ?></span>
					 
					 <?php edit_comment_link(__('Edit', 'scorpio'), ' | ', ''); ?>
				</div>

			<div class="comment-author">
				
					<?php if (function_exists('get_avatar') && get_option('show_avatars')) { echo get_avatar($comment, 32); } ?>				
				
					<?php if (get_comment_author_url()) : ?>
						<span class="fn"><a id="commentauthor-<?php comment_ID() ?>" href="<?php comment_author_url() ?>"><?php comment_author(); ?></a></span>
						<span class="reply" style="visibility:hidden;"><a href="#commentform" title="Notify this pumpkin." onclick="document.getElementById('comment').value += '&lt;a href=&quot;#comment-<?php comment_ID() ?>&quot;&gt;@<?php comment_author();?> &lt;/a&gt;\n'"><img src="<?php bloginfo('template_url'); ?>/images/reply.gif" alt="Notify"/></a></span>
					<?php else : ?>
						<span class="fn" id="commentauthor-<?php comment_ID() ?>"><?php comment_author(); ?></span>
						<span class="reply" style="display:none;"><a href="#commentform" title="Notify this pumpkin." onclick="document.getElementById('comment').value += '&lt;a href=&quot;#comment-<?php comment_ID() ?>&quot;&gt;@<?php comment_author();?> &lt;/a&gt;\n'"><img src="<?php bloginfo('template_url'); ?>/images/reply.gif" alt="Notify"/></a></span>
						
					<?php endif; ?>

			</div>
			<?php if ($comment->comment_approved == '0') : ?>
			<p><small class="waiting"><?php _e('Your comment is awaiting moderation.','scorpio') ;?></small></p>
			<?php endif; ?>
			<?php comment_text(); ?>
		</li>
	<?php
				}
			}
		} else {
	?>	
		<li class="messagebox">
			<?php _e('No comments yet.Be the first ?', 'scorpio'); ?>
		</li>
	<?php
		}
	?>
	</ol>

</div>
</div>
<?php endif; ?>


<?php if (!comments_open()) : // If comments are closed. ?>
	<div class="messagebox">
		<?php _e('Comments are closed.', 'scorpio'); ?>
	</div>
<?php elseif ( get_option('comment_registration') && !$user_ID ) : // If registration required and not logged in. ?>
	<div class="messagebox">
		<?php if (function_exists('wp_login_url')) {$login_link = wp_login_url();} else { $login_link = site_url('wp-login.php', 'login'); } ?>
		<?php printf(__('You must be <a href="%s">logged in</a> to post a comment.', 'scorpio'), $login_link); ?>
	</div>

<?php else : ?>
<div id="respond">
	<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">
	

		<?php if ($user_ID) : ?>
			<?php if (function_exists('wp_logout_url')) {$logout_link = wp_logout_url();} else { $logout_link = site_url('wp-login.php?action=logout', 'login'); } ?>
			<div class="row"><?php _e('Logged in as', 'scorpio'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><strong><?php echo $user_identity; ?></strong></a>. <a href="<?php echo $logout_link; ?>" title="<?php _e('Log out of this account', 'scorpio'); ?>"><?php _e('Logout &raquo;', 'scorpio'); ?></a></div>

		<?php else : ?>
			<?php if ( $comment_author != "" ) : ?>
				<script type="text/javascript" charset="utf-8">
				//<![CDATA[
					var changeMsg = "<?php _e('Change &raquo;','scorpio'); ?>";
					var closeMsg = "<?php _e('Close &raquo;','scorpio'); ?>";
				//]]>
				</script>
				<div class="row welcome">
					<?php echo get_avatar($comment_author_email, 32); printf ($comment_author) ?>
					<span id="show_author_info"><a href="javascript:void(0);"><?php _e('Change &raquo;','scorpio'); ?></a></span>
					</div>
			<?php endif; ?>

			<div id="author_info"<?php if ( $comment_author != "" ) echo 'style="display:none"';?>>
				<span class="row">
					<input type="text" name="author" id="author" class="textfield" value="<?php echo $comment_author; ?>" size="24" tabindex="1" />
					<label for="author" class="small"><?php _e('Name'); ?> <?php if ($req) _e('(required)', 'scorpio'); ?></label>
				</span>
				<span class="row">
					<input type="text" name="email" id="email" class="textfield" value="<?php echo $comment_author_email; ?>" size="24" tabindex="2" />
					<label for="email" class="small"><?php _e('E-Mail','scorpio');?><?php if ($req) _e('(required)', 'scorpio'); ?></label>
				</span>
				<span class="row">
					<input type="text" name="url" id="url" class="textfield" value="<?php echo $comment_author_url; ?>" size="24" tabindex="3" />
					<label for="url" class="small"><?php _e('Website'); ?></label>
				</span>
			</div>
		<?php endif; ?>

	<!-- comment input -->
		<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/edit_button.js"></script>
<script type="text/javascript">edToolbar('comment');</script>
	<div class="row cmarea">

		<textarea name="comment" id="comment" tabindex="4" rows="8" cols="50"></textarea>
		<div id="commentload" class="center" style="display:none;">
		<img src="<?php bloginfo('template_url'); ?>/images/ajaxload.gif" alt="loading" /> <?php _e('Submitting Comment, Wait me a second...','scorpio')?>
		</div>
	</div>
<div id="submitbox">
<script type="text/javascript">
/* <![CDATA[ */
//ctrl+enter
document.getElementById("comment").onkeydown = function (moz_ev){
var ev = null;
	if (window.event){
	ev = window.event;
	}else{
	ev = moz_ev;
	}
	if (ev != null && ev.ctrlKey && ev.keyCode == 13)
	{
	document.getElementById("submit").click();
	}
}
/* ]]> */
</script>	
			<input name="submit" type="submit" id="submit" class="button" tabindex="5" value="<?php _e('Submit Comment', 'scorpio'); ?>" />
		<input type="hidden" name="comment_post_ID" value="<?php echo $id; ?>" />
	<?php do_action('comment_form', $post->ID); ?>
<div class="fixed"></div>
</div>
</form>
</div>
<?php endif; ?>
