<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
        <meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
        <title><?php bloginfo('name'); ?><?php wp_title(); ?></title>
        <link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
        <link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
        <link rel="alternate" type="application/atom+xml" title="Atom 1.0" href="<?php bloginfo('atom_url'); ?>" />
        <link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
        <?php wp_get_archives('type=monthly&format=link'); ?>
        <?php //comments_popup_script(); // off by default ?>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/jquery.min.1.2.6.js"></script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/jqueryslidemenu/jqueryslidemenu.js"></script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/carousel/stepcarousel.js"></script>
	<script type="text/javascript">
	
	stepcarousel.setup({
		galleryid: 'board_carusel', //id of carousel DIV
		beltclass: 'belt', //class of inner "belt" DIV containing all the panel DIVs
		panelclass: 'board_item', //class of panel DIVs each holding content
		autostep: {enable:true, moveby:1, pause:<?php echo FEATURED_SPEED*1000; ?>},
		panelbehavior: {speed:500, wraparound:false, persist:false},
		defaultbuttons: {enable: false, moveby: 1, leftnav: ['http://i34.tinypic.com/317e0s5.gif', -5, 80], rightnav: ['http://i38.tinypic.com/33o7di8.gif', -20, 80]},
		statusvars: ['statusA', 'statusB', 'statusC'], //register 3 variables that contain current panel (start), current panel (last), and total panels
		contenttype: ['inline'] //content setting ['inline'] or ['external', 'path_to_external_file']
	})
	
	</script>
	<script type="text/javascript" src="<?php bloginfo('stylesheet_directory'); ?>/js/tabpane.js"></script>
    <link type="text/css" rel="StyleSheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/tab.webfx.css" />
	<link type="text/css" rel="StyleSheet" href="<?php bloginfo('stylesheet_directory'); ?>/css/wp-page-numbers.css" />
    <script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/commentajax.js"></script>
        <?php wp_head(); ?>
        <style type="text/css" media="screen">
                @import url( <?php bloginfo('stylesheet_url'); ?> );
        </style>
</head>
<body>

<div id="rap">
<div id="header">

<div id="headerleft">
<a href="<?php echo get_option('home'); ?>/"><img src="<?php bloginfo('template_url'); ?>/images/logo.png" alt="<?php bloginfo('name'); ?> – <?php bloginfo('description'); ?>" /></a>
<!-- <h1><a href="<?php bloginfo('url'); ?>/"><?php bloginfo('name'); ?></a></h1>
<h2><?php bloginfo('description'); ?></h2> -->
</div>

<div id="headerright">
<a href="<?php bloginfo('rss_url'); ?>" title="<?php _e('RSS FEED','scorpio') ?>"></a></div>
</div>

<div id="headmenu">
    <?php if (is_search() || is_404()) { ?>
        <ul>
		<li><a href="<?php echo get_settings('home'); ?>/" title="Home"><?php _e('Home') ?></a></li>
        <?php wp_list_pages('depth=1&sort_column=menu_order&title_li='); ?>
        </ul>
    <?php } else { ?>
        <ul>
		<li><a href="<?php echo get_settings('home'); ?>/" title="Home"><?php _e('Home') ?></a></li>
                <?php wp_list_pages('depth=1&sort_column=menu_order&title_li='); ?>
    <?php
        if($post->post_parent)
                $children = wp_list_pages("title_li=&child_of=".$post->post_parent."&echo=0"); else
                $children = wp_list_pages("title_li=&child_of=".$post->ID."&echo=0");
        if ($children) { ?>
                <?php echo $children; ?>
                <?php } ?>
        </ul>
    <?php } ?>
</div>
<div id="content">
<div id="board">
   <div id="board2">
	<div id="board_left">
		<div id="board_items">
			<div id="board_body">
				<div id="board_carusel">
					<div class="belt">
					<?php $coint_i = carousel_featured_posts(FEATURED_POSTS); ?>
					</div>
				</div>
			</div>
			<ul id="board_carusel_nav">
			<?php for($i=1;$i<=$coint_i; $i++) { ?>
				<li id="board_carusel_nav_<?php echo $i; ?>"><a <?php if($i==1) echo ' class="selected"'; ?> href="javascript:stepcarousel.stepTo('board_carusel', <?php echo $i; ?>)"><?php echo $i; ?></a></li>
			<?php } ?>
			</ul>
		</div>
	</div>
   </div>
</div>